# Changed by Makefile of cvs.
%define version 0.1.3
%define name drakcronat

Summary:	Mandrake tool for Cron and At
Name:		%{name}
Version:	%{version}
Release:	1mdk
#cvs source
# http://www.linuxmandrake.com/en/cvs.php3
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}16.png.bz2
Source2:	%{name}32.png.bz2
Source3:	%{name}48.png.bz2
Epoch:	    1
License:	GPL
Packager:	Thierry khousakoun <tkhousakoun@mandrakesoft.com>
URL:		http://www.mandrakelinux.com
Group:		System/Configuration/Other
BuildRequires: gettext
Requires:	drakxtools >= 1.1.5-97mdk, gtk+mdk, perl-GTK, perl-MDK-Common, perl-GTK-GdkImlib
Requires: common-licenses
BuildArch: noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot4

%description
Drakcronat is an application for scheduling programs to run in 
the background. It is a Graphical User Interface to Crontab/Cron 
and At (Unix system schedulers).
Drakcronat provides features for beginners as well as sysadmins.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#install lang
%{find_lang} drakcronat

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%{name}):\ 
needs="x11" \
icon="drakcronat.png" \
section="Configuration/Other" \
title="X Cron and At frontend" \
longtitle="A graphical frontend for cron and at" \
command="/usr/X11R6/bin/drakcronat"
EOF


#install menu icon
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f drakcronat.lang
%defattr(-,root,root)
%doc AUTHORS
%{_prefix}/X11R6/bin/*
%{_datadir}/drakcronat
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Wed Nov 27 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- use new i18n scheme from libDrakX
- clean the code
- don't reinvent my_gtk

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-9mdk
- use my_gtk for embbeded mode

* Fri Sep  6 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-8mdk
- use my_gtk for embbeded mode (not uploaded since pablo did a non
  comited upload)

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-7mdk
- don't show toggle button in root mode 

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-6mdk
- really emmbed

* Wed Sep  4 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-5mdk
- embbed in mcc

* Thu Aug 29 2002 tkhousakoun <tkhousakoun@mandrakesoft.com> 1:0.1.2-4mdk
- a new interface

* Fri Aug 23 2002 tkhousakoun <tkhousakoun@mandrakesoft.com> 0.1.2-3mdk
- new icons

* Sat Aug 17 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-2mdk
- fix group.

* Wed Aug 14 2002 Daouda LO <daouda@mandrakesoft.com> 0.1.2-1mdk
- first release
- cleanups
- Cc bugs to : Thierry khousakoun <tkhousakoun@mandrakesoft.com>

